# FiosFileScanner Class Reference

Scanner to scan for a particular type of FIOS file. More...

Inheritance diagram for FiosFileScanner:

## Public Member Functions
| FiosFileScanner (SaveLoadDialogMode mode, fios_getlist_callback_proc *callback_proc)
| Create the scanner.
bool | AddFile (const char *filename, size_t basepath_length)
| Try to add a fios item set with the given filename.
## Private Attributes
SaveLoadDialogMode | mode
| The mode we want to search for.
fios_getlist_callback_proc * | callback_proc
| Callback to check whether the file may be added.

## Detailed Description

Scanner to scan for a particular type of FIOS file.

Definition at line 197 of file fios.cpp.

## Constructor & Destructor Documentation

FiosFileScanner::FiosFileScanner | ( | SaveLoadDialogMode | mode,
|  | fios_getlist_callback_proc * | callback_proc |
| ) |  |  | `[inline]`

Create the scanner.

Parameters:

  | mode | The mode we are in. Some modes don't allow 'parent'.
  | callback_proc | The function that is called where you need to do the filtering.

Definition at line 206 of file fios.cpp.

## Member Function Documentation

bool FiosFileScanner::AddFile | ( | const char * | filename,
|  | size_t | basepath_length |
| ) |  |  | `[virtual]`

Try to add a fios item set with the given filename.

Parameters:

  | filename | the full path to the file to read
  | basepath_length | amount of characters to chop of before to get a relative filename

Returns:
  true if the file is added.

Implements FileScanner.

Definition at line 220 of file fios.cpp.

References SmallVector< T, S >::Append(), SmallVector< T, S >::Begin(), callback_proc, SmallVector< T, S >::End(), lastof, mode, str_validate(), strecpy(), and StrEmpty().

The documentation for this class was generated from the following file:

- src/fios.cpp